# QWaitCondition Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QWaitCondition()

### Constructor Properties

- prototype: The QWaitCondition prototype object

### Prototype Object Properties

- bool wait(QMutex mutex, unsigned long time)
- void wakeAll()
- void wakeOne()

### Instance Properties

QWaitCondition objects have no special properties beyond those inherited from the QWaitCondition prototype object.